%define url_ver	%(echo %{version} | cut -d. -f1,2)

#don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Mount plugin for the Xfce panel
Name:		xfce4-mount-plugin
Version:	1.1.7
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-mount-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.16.0
Requires:	xfce4-panel >= 4.16.0

%description
A mount panel plugin for the Xfce Desktop Environment.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README* ChangeLog AUTHORS
%{_datadir}/xfce4/panel/plugins/%{name}.desktop
%{_libdir}/xfce4/panel/plugins/libmount.so
%{_iconsdir}/hicolor/scalable/apps/xfce-mount.svg


%changelog
* Wed Dec 25 2024 wally <wally> 1.1.7-1.mga10
+ Revision: 2130041
- new version 1.1.7

* Sun Apr 23 2023 wally <wally> 1.1.6-1.mga9
+ Revision: 1954388
- new version 1.1.6

* Mon Apr 04 2022 umeabot <umeabot> 1.1.5-2.mga9
+ Revision: 1843467
- Mageia 9 Mass Rebuild

* Mon Dec 28 2020 wally <wally> 1.1.5-1.mga8
+ Revision: 1664529
- new version 1.1.5

* Mon Dec 21 2020 wally <wally> 1.1.4-1.mga8
+ Revision: 1662617
- new version 1.1.4

* Sat Oct 31 2020 wally <wally> 1.1.3-4.mga8
+ Revision: 1640985
- add upstream patch to fix build with xfce4-panel 4.15
- update URL

* Fri Feb 14 2020 umeabot <umeabot> 1.1.3-3.mga8
+ Revision: 1518651
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.3-2.mga7
+ Revision: 1301868
- Mageia 7 Mass Rebuild

* Sat Jul 14 2018 wally <wally> 1.1.3-1.mga7
+ Revision: 1243531
- new version 1.1.3

* Sat Sep 30 2017 wally <wally> 1.1.2-1.mga7
+ Revision: 1161947
- new version 1.1.2

* Tue Feb 09 2016 umeabot <umeabot> 0.6.7-5.mga6
+ Revision: 952542
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.6.7-4.mga5
+ Revision: 817449
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.6.7-3.mga5
+ Revision: 741839
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 0.6.7-2.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Sun Apr 27 2014 wally <wally> 0.6.7-1.mga5
+ Revision: 618346
- new version 0.6.7
- exclude plugin .so from provides

* Fri Oct 18 2013 umeabot <umeabot> 0.6.4-3.mga4
+ Revision: 520568
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.6.4-2.mga3
+ Revision: 386843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 0.6.4-1.mga3
+ Revision: 265422
- new version 0.6.4
- clean .spec
- import from Mdv


* Tue Apr 17 2012 Crispin Boylan <crisb@mandriva.org> 0.5.5-9mdv2012.0
+ Revision: 791557
- Rebuild

* Mon Apr 09 2012 Crispin Boylan <crisb@mandriva.org> 0.5.5-8
+ Revision: 790073
- Rebuild for xfce 4.10

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.5-7mdv2011.0
+ Revision: 615606
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.5-6mdv2010.1
+ Revision: 543431
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.5.5-5mdv2010.0
+ Revision: 446104
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.5-4mdv2009.1
+ Revision: 349471
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.5-3mdv2009.1
+ Revision: 295001
- rebuild for new Xfce4.6 beta1

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 0.5.5-2mdv2009.0
+ Revision: 269787
- rebuild early 2009.0 package (before pixel changes)

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.5-1mdv2009.0
+ Revision: 208958
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-2mdv2008.1
+ Revision: 110124
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- use upstream name

* Mon Sep 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-1mdv2008.0
+ Revision: 92666
- new version
- new version

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2008.0
+ Revision: 33449
- new version

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-2mdv2008.0
+ Revision: 33229
- add macros to %%post and %%postun
- spec file clean
- update url

